#pragma once
#include "Screen.h"
#include <moon/Mouse.h>
#include <ui/Canvas.h>

class Mouse
{
  public:
    Mouse(ui::Canvas& screen);

    void move(const moon::MousePacket& packet);

    void draw(ui::Canvas& screen);

  private:
    ui::Point m_position;
    ui::Rect m_screen_rect;
};
